You can subscribe to this list here.
| 2003 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
|
Jul
|
Aug
|
Sep
|
Oct
(202) |
Nov
(201) |
Dec
(280) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2004 |
Jan
(493) |
Feb
(106) |
Mar
(215) |
Apr
(163) |
May
(79) |
Jun
(193) |
Jul
(47) |
Aug
(71) |
Sep
(127) |
Oct
(41) |
Nov
(49) |
Dec
(120) |
| 2005 |
Jan
(147) |
Feb
(45) |
Mar
(26) |
Apr
(71) |
May
(52) |
Jun
(28) |
Jul
(92) |
Aug
(50) |
Sep
(35) |
Oct
(193) |
Nov
(106) |
Dec
(52) |
| 2006 |
Jan
(51) |
Feb
(38) |
Mar
(33) |
Apr
(79) |
May
(107) |
Jun
(67) |
Jul
(21) |
Aug
(65) |
Sep
(44) |
Oct
(87) |
Nov
(12) |
Dec
(56) |
| 2007 |
Jan
(48) |
Feb
(58) |
Mar
(63) |
Apr
(31) |
May
(25) |
Jun
(20) |
Jul
(72) |
Aug
(54) |
Sep
(30) |
Oct
(76) |
Nov
(74) |
Dec
(25) |
| 2008 |
Jan
(39) |
Feb
(39) |
Mar
(62) |
Apr
(64) |
May
(59) |
Jun
(31) |
Jul
(25) |
Aug
(25) |
Sep
(17) |
Oct
(24) |
Nov
|
Dec
(1) |
| 2009 |
Jan
(60) |
Feb
(39) |
Mar
(16) |
Apr
(30) |
May
(52) |
Jun
(35) |
Jul
(15) |
Aug
(15) |
Sep
(21) |
Oct
(32) |
Nov
(39) |
Dec
(52) |
| 2010 |
Jan
(42) |
Feb
(40) |
Mar
(23) |
Apr
(20) |
May
(27) |
Jun
(10) |
Jul
(30) |
Aug
(30) |
Sep
(66) |
Oct
(12) |
Nov
(35) |
Dec
(60) |
| 2011 |
Jan
(16) |
Feb
(1) |
Mar
(3) |
Apr
(28) |
May
(21) |
Jun
|
Jul
(12) |
Aug
(6) |
Sep
(10) |
Oct
(14) |
Nov
(40) |
Dec
(60) |
| 2012 |
Jan
(23) |
Feb
(17) |
Mar
(24) |
Apr
(18) |
May
(13) |
Jun
(1) |
Jul
|
Aug
(5) |
Sep
|
Oct
(5) |
Nov
(5) |
Dec
(15) |
| 2013 |
Jan
(2) |
Feb
(5) |
Mar
(1) |
Apr
(2) |
May
(2) |
Jun
(3) |
Jul
|
Aug
(3) |
Sep
(5) |
Oct
(3) |
Nov
(1) |
Dec
(1) |
| 2014 |
Jan
(3) |
Feb
(5) |
Mar
(8) |
Apr
(3) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
|
Sep
(4) |
Oct
(10) |
Nov
|
Dec
(9) |
| 2015 |
Jan
(18) |
Feb
(17) |
Mar
(5) |
Apr
(2) |
May
|
Jun
(5) |
Jul
(1) |
Aug
(2) |
Sep
(1) |
Oct
(24) |
Nov
(20) |
Dec
(41) |
| 2016 |
Jan
(9) |
Feb
(3) |
Mar
(2) |
Apr
(7) |
May
(8) |
Jun
(1) |
Jul
(6) |
Aug
(5) |
Sep
(2) |
Oct
(6) |
Nov
(1) |
Dec
(6) |
| 2017 |
Jan
(6) |
Feb
(1) |
Mar
|
Apr
(4) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
(2) |
Sep
|
Oct
|
Nov
|
Dec
|
|
From: Heiko Z. <smi...@us...> - 2007-11-17 17:01:20
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv4073/scripts Modified Files: syslinux Log Message: use precompiled version of syslinux for now updated to latest pax Index: syslinux =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/syslinux,v retrieving revision 1.23 retrieving revision 1.24 diff -u -d -r1.23 -r1.24 --- syslinux 23 Oct 2007 18:06:29 -0000 1.23 +++ syslinux 17 Nov 2007 17:01:16 -0000 1.24 @@ -31,12 +31,12 @@ touch .done_dl_patch fi - if [ "$CONFIG_GCC_HARDENED" = "y" ]; then - make $PMAKE CC="gcc -U_FORTIFY_SOURCE -nopie -fno-stack-protector" install|| exit 1 - else - make $PMAKE install|| exit 1 - fi - strip_debug + #if [ "$CONFIG_GCC_HARDENED" = "y" ]; then + # make $PMAKE CC="gcc -U_FORTIFY_SOURCE -nopie -fno-stack-protector" install|| exit 1 + #else + # make $PMAKE install|| exit 1 + #fi + #strip_debug #instal it, we need it later #make install || exit 1 ;; |
|
From: Heiko Z. <smi...@us...> - 2007-11-16 15:13:31
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv8201/scripts Modified Files: grsecurity Log Message: I hate hardcoded paths... Index: grsecurity =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/grsecurity,v retrieving revision 1.32 retrieving revision 1.33 diff -u -d -r1.32 -r1.33 --- grsecurity 16 Nov 2007 15:08:22 -0000 1.32 +++ grsecurity 16 Nov 2007 15:13:28 -0000 1.33 @@ -52,7 +52,7 @@ rm -rf $TMPDIR mkdir -p $TMPDIR || exit 1 cd $GRADMDIR || exit 1 - make -C $GRADMDIR DESTDIR=$TMPDIR install || exit 1 + make -C $GRADMDIR DESTDIR=$TMPDIR install FIND=$(which find) || exit 1 copy_docs $TMPDIR || exit 1 cp -vdpR $TMPDIR/sbin/* $CDDIR/sbin || exit 1 |
|
From: Heiko Z. <smi...@us...> - 2007-11-16 15:10:22
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv7124 Modified Files: md5sum.lst Log Message: updated grsecurity Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.387 retrieving revision 1.388 diff -u -d -r1.387 -r1.388 --- md5sum.lst 8 Nov 2007 12:52:18 -0000 1.387 +++ md5sum.lst 16 Nov 2007 15:10:19 -0000 1.388 @@ -82,7 +82,6 @@ e6533ef83a2497562418a2239bb44602 src/perl-ext/libnet-1.19.tar.gz db1eb693eee45d251966ad2bab49dbbf src/perl-ext/libwww-perl-5.805.tar.gz 7002aedb8bcaa7169a8f0a8e22d34b72 src/perl-ext/perl-ldap-0.33.tar.gz -b1f8ffdfb633a7c6f83bbcd69c99dce2 src/pom-addon/TARPIT.tar.bz2 fc2365305a9402886a2b0173d1beb7df src/DenyHosts-2.6.tar.gz dff10a5a6451b80ff11f31008417e7e1 src/IMQ-iptables-1.3.6.diff.bz2 55c64bb056b8172ef6eeaf182dccae70 src/ImageMagick-6.3.1-2.tar.bz2 @@ -227,10 +226,9 @@ f989fe8e24f82d19c8ce55df15784e15 src/gocr-0.43.tar.gz 2c63e827d755527950d9d13fe3d87692 src/gpm-1.20.1.tar.bz2 df1966f0e871014fa75c98b048e78b92 src/gradm-2.1.11-200708011700.tar.gz -30ccfe4f0762eacc844f0e12e6bcecf3 src/gradm-distro.diff.bz2 52202fe462770fa6be1bb667bd6cf30c src/grep-2.5.1a.tar.bz2 f7c9cf2e4b9967d3af167d7c9fadaae4 src/groff-1.19.2.tar.gz -45770a452d105900b8d49b748326d21e src/grsecurity-2.1.11-2.6.23-200710121810.patch.bz2 +00e064e8150b6dc965d2f21cdf72db39 src/grsecurity-2.1.11-2.6.23.1-200710311914.patch.bz2 cd3f3eb54446be6003156158d51f4884 src/grub-0.97.tar.gz b5bac2d21840ae077e0217bc5e4845b1 src/gzip-1.3.12.tar.gz 62749c6cdf28ce31aae335092fa107df src/hdparm-6.9.tar.gz @@ -538,6 +536,7 @@ 2d0ed8c9a1f60b45f949b136f9be1f6c src/zisofs-tools-1.0.8.tar.bz2 debc62758716a169df9f62e6ab2bc634 src/zlib-1.2.3.tar.gz cf52a9c970b97cab7c664d7435c7f7cf src/zlib-patches.tar.bz2 +b1f8ffdfb633a7c6f83bbcd69c99dce2 src/pom-addon/TARPIT.tar.bz2 5fd86c3316dc49dba172490fdafea5b3 src/special/README e4913aa2edaf097b0627ead6b45fbedc src/special/tzcode2007c.tar.gz 730d744ac691e950066f8b6bd17b02d0 src/special/tzdata2007c.tar.gz |
|
From: Heiko Z. <smi...@us...> - 2007-11-16 15:08:45
|
Update of /cvsroot/devil-linux/build/config/etc/sysconfig In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv6398/config/etc/sysconfig Modified Files: Tag: rel-1-2-patches config Log Message: - disabled IPv6 routing in the default config Index: config =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/sysconfig/config,v retrieving revision 1.22.2.6 retrieving revision 1.22.2.7 diff -u -d -r1.22.2.6 -r1.22.2.7 --- config 20 Apr 2007 13:21:46 -0000 1.22.2.6 +++ config 16 Nov 2007 15:08:42 -0000 1.22.2.7 @@ -25,7 +25,7 @@ START_ROUTING=yes # enable IPv6 routing -> yes/no -START_IPV6_ROUTING=yes +START_IPV6_ROUTING=no # Start the firewall script -> yes/no START_FIREWALL=yes |
|
From: Heiko Z. <smi...@us...> - 2007-11-16 15:08:45
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv6398 Modified Files: Tag: rel-1-2-patches CHANGES Log Message: - disabled IPv6 routing in the default config Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.338 retrieving revision 1.807.2.339 diff -u -d -r1.807.2.338 -r1.807.2.339 --- CHANGES 8 Nov 2007 13:28:35 -0000 1.807.2.338 +++ CHANGES 16 Nov 2007 15:08:42 -0000 1.807.2.339 @@ -22,6 +22,7 @@ # 1.2.14 +- disabled IPv6 routing in the default config - updated net-snmp to 5.4.1 - save-config did not correctly handle errors - updated pci and usb device id databases |
|
From: Heiko Z. <smi...@us...> - 2007-11-16 15:08:26
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv6360 Modified Files: CHANGES Log Message: - disabled IPv6 routing in the default config - updated grsecurity config Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1147 retrieving revision 1.1148 diff -u -d -r1.1147 -r1.1148 --- CHANGES 8 Nov 2007 12:52:18 -0000 1.1147 +++ CHANGES 16 Nov 2007 15:08:22 -0000 1.1148 @@ -22,6 +22,7 @@ # 1.3.4 +- disabled IPv6 routing in the default config - updated net-snmp to 5.4.1 (sl) - added radius plugin for openvpn (sl) - added patch for netfilter TARPIT target (sl) |
|
From: Heiko Z. <smi...@us...> - 2007-11-16 15:08:26
|
Update of /cvsroot/devil-linux/build/config/etc/sysconfig In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv6360/config/etc/sysconfig Modified Files: config Log Message: - disabled IPv6 routing in the default config - updated grsecurity config Index: config =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/sysconfig/config,v retrieving revision 1.30 retrieving revision 1.31 diff -u -d -r1.30 -r1.31 --- config 22 Oct 2007 14:09:17 -0000 1.30 +++ config 16 Nov 2007 15:08:22 -0000 1.31 @@ -25,7 +25,7 @@ START_ROUTING=yes # enable IPv6 routing -> yes/no -START_IPV6_ROUTING=yes +START_IPV6_ROUTING=no # Start the firewall script -> yes/no START_FIREWALL=yes |
|
From: Heiko Z. <smi...@us...> - 2007-11-16 15:08:26
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv6360/scripts Modified Files: grsecurity Log Message: - disabled IPv6 routing in the default config - updated grsecurity config Index: grsecurity =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/grsecurity,v retrieving revision 1.31 retrieving revision 1.32 diff -u -d -r1.31 -r1.32 --- grsecurity 31 Oct 2007 15:57:42 -0000 1.31 +++ grsecurity 16 Nov 2007 15:08:22 -0000 1.32 @@ -42,10 +42,6 @@ # compile the admin program cd $GRADMDIR || exit 1 - if [ ! -f devil-linux-patches.done ]; then - bzcat $DL_DIR/src/gradm-distro.diff.bz2 | patch -p1 - touch devil-linux-patches.done - fi make $PMAKE all || exit 1 strip_debug fi |
|
From: Björn R. <br...@us...> - 2007-11-09 13:35:53
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv4989 Modified Files: build-iso Log Message: - reenabled spash-screen Index: build-iso =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/build-iso,v retrieving revision 1.75 retrieving revision 1.76 diff -u -d -r1.75 -r1.76 --- build-iso 9 Nov 2007 12:50:44 -0000 1.75 +++ build-iso 9 Nov 2007 13:35:48 -0000 1.76 @@ -221,9 +221,8 @@ #=========================================================================== echo -n -e "" > $CDDIR/boot/message + echo -n -e "\030/boot/logo.lss\n" >> $CDDIR/boot/message - # Graphics and colors are not supported by the current version of ISOLINUX -# echo -n -e "\30/boot/logo.lss\n" >> $CDDIR/boot/message # echo -n -e "\r\n\17" >> $CDDIR/boot/message # echo -n -e "0fDevil-Linux Version $DL_VERSION_FULL is loading...\r\n\r\n" >> $CDDIR/boot/message # echo -n -e "0fPlease select a boot option:\r\n\r\n" >> $CDDIR/boot/message |
|
From: Heiko Z. <smi...@us...> - 2007-11-09 12:52:47
|
Update of /cvsroot/devil-linux/web/sitetools In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv22099 Modified Files: sponsors.php Log Message: removed per request from Sponsor Index: sponsors.php =================================================================== RCS file: /cvsroot/devil-linux/web/sitetools/sponsors.php,v retrieving revision 1.42 retrieving revision 1.43 diff -u -d -r1.42 -r1.43 --- sponsors.php 1 Nov 2007 12:43:45 -0000 1.42 +++ sponsors.php 9 Nov 2007 12:52:40 -0000 1.43 @@ -65,22 +65,6 @@ <td align="right">$50</td> </tr> <tr> - <td><a href="http://www.diga-soft.de" target="_blank">Chipprogrammierung</a></td> - <td align="right">€50</td> -</tr> -<tr> - <td><a href="http://www.chipprofi.de" target="_blank">Autotuning</a></td> - <td align="right">€50</td> -</tr> -<tr> - <td><a href="http://www.dauerhaft-haarentfernung.de" target="_blank">Permanente Enthaarung</a></td> - <td align="right">€50</td> -</tr> -<tr> - <td><a href="http://www.dauerhafte-enthaarung.com" target="_blank">Dauerhafte Haarentfernung</a></td> - <td align="right">$50</td> -</tr> -<tr> <td><a href="http://www.artificial-grass.com" target="_blank">The artificial grass company</a></td> <td align="right">€50</td> </tr> @@ -125,10 +109,6 @@ <td align="right">$60</td> </tr> <tr> - <td><a href="http://www.odometer-correction.com" target="_blank">Odometer Correction</a></td> - <td align="right">€50</td> -</tr> -<tr> <td><a href="http://www.stepmiles.com" target="_blank">SEO Company Stepmiles</a></td> <td align="right">$60</td> </tr> |
|
From: Björn R. <br...@us...> - 2007-11-09 12:51:00
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv20959 Modified Files: build-iso Log Message: removed settings for image and colors from boot/message since it is not supported by the used version of ISOLINUX Index: build-iso =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/build-iso,v retrieving revision 1.74 retrieving revision 1.75 diff -u -d -r1.74 -r1.75 --- build-iso 27 Feb 2007 02:16:24 -0000 1.74 +++ build-iso 9 Nov 2007 12:50:44 -0000 1.75 @@ -220,10 +220,15 @@ #=========================================================================== - echo -n -e "\30/boot/logo.lss\n" > $CDDIR/boot/message - echo -n -e "\r\n\17" >> $CDDIR/boot/message + echo -n -e "" > $CDDIR/boot/message + + # Graphics and colors are not supported by the current version of ISOLINUX +# echo -n -e "\30/boot/logo.lss\n" >> $CDDIR/boot/message +# echo -n -e "\r\n\17" >> $CDDIR/boot/message # echo -n -e "0fDevil-Linux Version $DL_VERSION_FULL is loading...\r\n\r\n" >> $CDDIR/boot/message - echo -n -e "0fPlease select a boot option:\r\n\r\n" >> $CDDIR/boot/message +# echo -n -e "0fPlease select a boot option:\r\n\r\n" >> $CDDIR/boot/message + + echo -n -e "\r\nPlease select a boot option:\r\n\r\n" >> $CDDIR/boot/message declare -a BOOT_OPTIONS_TEXT declare -a BOOT_OPTIONS_MODE declare -a BOOT_OPTIONS_KERNEL_MODE |
|
From: Serge L. <sma...@us...> - 2007-11-08 13:28:39
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv32351 Modified Files: Tag: rel-1-2-patches md5sum.lst CHANGES Log Message: - updated net-snmp to 5.4.1 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.102.2.225 retrieving revision 1.102.2.226 diff -u -d -r1.102.2.225 -r1.102.2.226 --- md5sum.lst 30 Oct 2007 22:35:32 -0000 1.102.2.225 +++ md5sum.lst 8 Nov 2007 13:28:35 -0000 1.102.2.226 @@ -353,7 +353,7 @@ 384b7f01d725c89ccd30692628b3ac1b src/ncftp-3.2.0-src.tar.bz2 b6593abe1089d6aab1551c105c9300e3 src/ncurses-5.6.tar.gz dc482c5b16fd0d8b7a245320011e7986 src/ndiswrapper-1.13.tar.gz -46d893281056ff476e597659cb91574d src/net-snmp-5.4.tar.gz +6c974df7a5a5b1579f72115e6b045bda src/net-snmp-5.4.1.tar.gz 888774accab40217dde927e21979c165 src/net-tools-1.60.tar.bz2 a383c30f684739dfeea4e72436061533 src/net-tools-fddi.diff.bz2 71091a5dd65eac16ca841ce06e5de7fa src/net-tools_1.60-9-dl.diff.bz2 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.337 retrieving revision 1.807.2.338 diff -u -d -r1.807.2.337 -r1.807.2.338 --- CHANGES 3 Nov 2007 19:56:24 -0000 1.807.2.337 +++ CHANGES 8 Nov 2007 13:28:35 -0000 1.807.2.338 @@ -22,6 +22,7 @@ # 1.2.14 +- updated net-snmp to 5.4.1 - save-config did not correctly handle errors - updated pci and usb device id databases - updated wireless_tools to 29 |
|
From: Serge L. <sma...@us...> - 2007-11-08 12:52:29
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv20346 Modified Files: md5sum.lst CHANGES Log Message: - updated net-snmp to 5.4.1 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.386 retrieving revision 1.387 diff -u -d -r1.386 -r1.387 --- md5sum.lst 4 Nov 2007 20:01:58 -0000 1.386 +++ md5sum.lst 8 Nov 2007 12:52:18 -0000 1.387 @@ -366,7 +366,7 @@ 384b7f01d725c89ccd30692628b3ac1b src/ncftp-3.2.0-src.tar.bz2 b6593abe1089d6aab1551c105c9300e3 src/ncurses-5.6.tar.gz 34864d702dfeb8cdece4b392da6350a2 src/ndiswrapper-1.48.tar.gz -46d893281056ff476e597659cb91574d src/net-snmp-5.4.tar.gz +6c974df7a5a5b1579f72115e6b045bda src/net-snmp-5.4.1.tar.gz 888774accab40217dde927e21979c165 src/net-tools-1.60.tar.bz2 e4da725325c175f1b4c114c5e305cfa8 src/net-tools_1.60-9.diff.gz c2bc56b61028bce36a5cc3fe7e81058e src/netacct-mysql-0.78.tar.gz Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1146 retrieving revision 1.1147 diff -u -d -r1.1146 -r1.1147 --- CHANGES 4 Nov 2007 20:01:58 -0000 1.1146 +++ CHANGES 8 Nov 2007 12:52:18 -0000 1.1147 @@ -22,6 +22,7 @@ # 1.3.4 +- updated net-snmp to 5.4.1 (sl) - added radius plugin for openvpn (sl) - added patch for netfilter TARPIT target (sl) - save-config did not correctly handle errors |
|
From: Bruce S. <bl...@us...> - 2007-11-07 14:31:46
|
Update of /cvsroot/devil-linux/build/config/etc/initrd In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv25859 Modified Files: linuxrc Log Message: Look for config on USB flash drives (SCSI) before IDE drives. Index: linuxrc =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/initrd/linuxrc,v retrieving revision 1.97 retrieving revision 1.98 diff -u -d -r1.97 -r1.98 --- linuxrc 24 Oct 2007 12:36:15 -0000 1.97 +++ linuxrc 7 Nov 2007 14:31:42 -0000 1.98 @@ -226,7 +226,7 @@ CDROM_SCSI=`find /dev -name "sr*" 2> /dev/null` DISCS_SCSI=`find /dev -name "sd*" 2> /dev/null` FLOPPIES=`find /dev -name "fd*" 2> /dev/null` -CONFIG_SRC_LIST="$DEVICES_IDE $DISCS_SCSI $CDROM_SCSI $FLOPPIES" +CONFIG_SRC_LIST="$DISCS_SCSI $DEVICES_IDE $CDROM_SCSI $FLOPPIES" CONFIG_FILE="etc.tar.bz2" CDROMS=$(grep -i "drive name" /proc/sys/dev/cdrom/info) |
|
From: Serge L. <sma...@us...> - 2007-11-04 20:18:26
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv16946/scripts Modified Files: radiusplugin Log Message: - oops. copy-paste fixing Index: radiusplugin =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/radiusplugin,v retrieving revision 1.2 retrieving revision 1.3 diff -u -d -r1.2 -r1.3 --- radiusplugin 4 Nov 2007 20:09:51 -0000 1.2 +++ radiusplugin 4 Nov 2007 20:18:01 -0000 1.3 @@ -24,7 +24,7 @@ # source functions and config source $MYDIR/settings -MYNAME=OPENVPN +MYNAME=RADIUSPLUGIN case $1 in build ) |
|
From: Serge L. <sma...@us...> - 2007-11-04 20:09:55
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv13799/scripts Modified Files: radiusplugin Log Message: - added config file example Index: radiusplugin =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/radiusplugin,v retrieving revision 1.1 retrieving revision 1.2 diff -u -d -r1.1 -r1.2 --- radiusplugin 4 Nov 2007 20:01:58 -0000 1.1 +++ radiusplugin 4 Nov 2007 20:09:51 -0000 1.2 @@ -37,7 +37,7 @@ install ) if [ "$CONFIG_OPENVPN" = "y" ]; then mkdir -p {$DOCDIR/openvpn/plugin/radius,$CDDIR/usr/lib/openvpn} || exit 1 - cp {README,vsascript.pl} $DOCDIR/openvpn/plugin/radius || exit 1 + cp {README,vsascript.pl,radiusplugin.cnf} $DOCDIR/openvpn/plugin/radius || exit 1 cp -a radiusplugin.so $CDDIR/usr/lib/openvpn || exit 1 fi ;; |
|
From: Serge L. <sma...@us...> - 2007-11-04 20:02:20
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv11042/scripts Added Files: radiusplugin Log Message: - added radius plugin for openvpn --- NEW FILE: radiusplugin --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/radiusplugin,v $ # $Revision: 1.1 $ # $Date: 2007/11/04 20:01:58 $ # # http://www.devil-linux.org # # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: radiusplugin # Required-Start: $basebuildtools $libs openvpn # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: radiusplugin for openvpn ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings MYNAME=OPENVPN case $1 in build ) if [ "$CONFIG_OPENVPN" = "y" ]; then make $PMAKE || exit 1 strip_debug fi ;; install ) if [ "$CONFIG_OPENVPN" = "y" ]; then mkdir -p {$DOCDIR/openvpn/plugin/radius,$CDDIR/usr/lib/openvpn} || exit 1 cp {README,vsascript.pl} $DOCDIR/openvpn/plugin/radius || exit 1 cp -a radiusplugin.so $CDDIR/usr/lib/openvpn || exit 1 fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac |
|
From: Serge L. <sma...@us...> - 2007-11-04 20:02:20
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv11042 Modified Files: md5sum.lst CHANGES LINKS Log Message: - added radius plugin for openvpn Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.385 retrieving revision 1.386 diff -u -d -r1.385 -r1.386 --- md5sum.lst 4 Nov 2007 16:06:00 -0000 1.385 +++ md5sum.lst 4 Nov 2007 20:01:58 -0000 1.386 @@ -434,6 +434,7 @@ 0aaf544be55c2bf923b28e13742d80bc src/quagga-0.99.9-20071018.tar.gz a82b242aefd330668f50f4fcd3507967 src/quagga-0.99.9-realms.patch.bz2 5a1c2f5e669aba825e0126d2f30ee622 src/quota-3.15.tar.gz +f933c2474bac5c0899d3689a2b444840 src/radiusplugin_v2.0b_beta2.tar.gz 26ea468b2323e44cf827ae5f84d18dc8 src/radvd-0.7.2.tar.gz c0d208ebd4c311ceabe465b7adfef792 src/raidtools-20010914.tar.gz a79a798e52426261c6a2c4089b33872f src/razor-agents-2.82.tar.bz2 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1145 retrieving revision 1.1146 diff -u -d -r1.1145 -r1.1146 --- CHANGES 4 Nov 2007 16:06:00 -0000 1.1145 +++ CHANGES 4 Nov 2007 20:01:58 -0000 1.1146 @@ -22,6 +22,7 @@ # 1.3.4 +- added radius plugin for openvpn (sl) - added patch for netfilter TARPIT target (sl) - save-config did not correctly handle errors - added padloc support to openssl (sl) Index: LINKS =================================================================== RCS file: /cvsroot/devil-linux/build/LINKS,v retrieving revision 1.26 retrieving revision 1.27 diff -u -d -r1.26 -r1.27 --- LINKS 2 Nov 2007 17:08:33 -0000 1.26 +++ LINKS 4 Nov 2007 20:01:58 -0000 1.27 @@ -103,3 +103,6 @@ via padlock http://www.logix.cz/michal/devel/padlock/ + +radius plugin for openvpn + http://www.nongnu.org/radiusplugin/ |
|
From: Serge L. <sma...@us...> - 2007-11-04 17:48:10
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv28224 Modified Files: Tag: rel-1-2-patches nfs-utils Log Message: - changed installation over TMPDIR Index: nfs-utils =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/nfs-utils,v retrieving revision 1.1.2.3 retrieving revision 1.1.2.4 diff -u -d -r1.1.2.3 -r1.1.2.4 --- nfs-utils 4 Nov 2007 17:41:15 -0000 1.1.2.3 +++ nfs-utils 4 Nov 2007 17:48:07 -0000 1.1.2.4 @@ -36,7 +36,8 @@ if [ "$CONFIG_NFSD" = "y" ]; then rm -rf $TMPDIR || exit 1 mkdir -p $TMPDIR || exit 1 - make install DESTDIR=$CDDIR || exit 1 + make install DESTDIR=$TMPDIR || exit 1 + cp -ar $TMPDIR/* $CDDIR/ || exit 1 rm -rf $TMPDIR || exit 1 cp -p /etc/rpc $ETCDIR/etc/ || exit 1 cat > $ETCDIR/etc/sysconfig/nfs-server <<-EOF |
|
From: Serge L. <sma...@us...> - 2007-11-04 17:41:21
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv26042 Modified Files: Tag: rel-1-2-patches nfs-utils Log Message: - code clarifying Index: nfs-utils =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/nfs-utils,v retrieving revision 1.1.2.2 retrieving revision 1.1.2.3 diff -u -d -r1.1.2.2 -r1.1.2.3 --- nfs-utils 13 Dec 2005 09:51:26 -0000 1.1.2.2 +++ nfs-utils 4 Nov 2007 17:41:15 -0000 1.1.2.3 @@ -26,43 +26,33 @@ case $1 in build ) if [ "$CONFIG_NFSD" = "y" ]; then - ./configure --prefix=$WORKDIR/tmp/usr --disable-nfsv4 --disable-gss || exit 1 - make || exit 1 - fi + ./configure --prefix=/usr --disable-nfsv4 --disable-gss || exit 1 + make || exit 1 + strip_debug + fi ;; install ) if [ "$CONFIG_NFSD" = "y" ]; then - rm -rf $WORKDIR/tmp || exit 1 - mkdir -p $WORKDIR/tmp || exit 1 - make install || exit 1 - if [ ! -d $CDDIR/var/lib/nfs ]; then mkdir -p $CDDIR/var/lib/nfs || exit 1 ; fi - touch $CDDIR/var/lib/nfs/xtab; chmod 644 $CDDIR/var/lib/nfs/xtab - touch $CDDIR/var/lib/nfs/etab; chmod 644 $CDDIR/var/lib/nfs/etab - touch $CDDIR/var/lib/nfs/rmtab; chmod 644 $CDDIR/var/lib/nfs/rmtab - mkdir -p $CDDIR/var/lib/nfs/sm $CDDIR/var/lib/nfs/sm.bak - touch $CDDIR/var/lib/nfs/state - chmod go-rwx $CDDIR/var/lib/nfs/sm $CDDIR/var/lib/nfs/sm.bak $CDDIR/var/lib/nfs/state - chown nobody $CDDIR/var/lib/nfs/sm $CDDIR/var/lib/nfs/sm.bak $CDDIR/var/lib/nfs/state - - copy_docs $WORKDIR/tmp - cp -dpR $WORKDIR/tmp/* $CDDIR || exit 1 - rm -rf $WORKDIR/tmp || exit 1 - cp -p /etc/rpc $ETCDIR/etc/ || exit 1 - cat > $ETCDIR/etc/sysconfig/nfs-server <<-EOF + rm -rf $TMPDIR || exit 1 + mkdir -p $TMPDIR || exit 1 + make install DESTDIR=$CDDIR || exit 1 + rm -rf $TMPDIR || exit 1 + cp -p /etc/rpc $ETCDIR/etc/ || exit 1 + cat > $ETCDIR/etc/sysconfig/nfs-server <<-EOF PORT="2049" PROCESSES="8" QUOTAS="no" KILLDELAY="10" -EOF - touch $ETCDIR/etc/exports || exit 1 + EOF + touch $ETCDIR/etc/exports || exit 1 - cp $MYDIR/scripts/nfsd $ETCDIR/etc/init.d || exit 1 + cp $MYDIR/scripts/nfsd $ETCDIR/etc/init.d || exit 1 - echo "# Start NFS server?" >> $CONFIGFILE - echo "START_NFSD=no" >> $CONFIGFILE - echo >> $CONFIGFILE - echo "HELP_NFSD=\"NFSD is Network File System v3 Server" + echo "# Start NFS server?" >> $CONFIGFILE + echo "START_NFSD=no" >> $CONFIGFILE + echo >> $CONFIGFILE + echo "HELP_NFSD=\"NFSD is Network File System v4(3,2) Server" fi ;; |
|
From: Serge L. <sma...@us...> - 2007-11-04 16:06:16
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv23402 Modified Files: md5sum.lst CHANGES Log Message: - added patch for TARPIT target Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.384 retrieving revision 1.385 diff -u -d -r1.384 -r1.385 --- md5sum.lst 2 Nov 2007 17:08:33 -0000 1.384 +++ md5sum.lst 4 Nov 2007 16:06:00 -0000 1.385 @@ -82,6 +82,7 @@ e6533ef83a2497562418a2239bb44602 src/perl-ext/libnet-1.19.tar.gz db1eb693eee45d251966ad2bab49dbbf src/perl-ext/libwww-perl-5.805.tar.gz 7002aedb8bcaa7169a8f0a8e22d34b72 src/perl-ext/perl-ldap-0.33.tar.gz +b1f8ffdfb633a7c6f83bbcd69c99dce2 src/pom-addon/TARPIT.tar.bz2 fc2365305a9402886a2b0173d1beb7df src/DenyHosts-2.6.tar.gz dff10a5a6451b80ff11f31008417e7e1 src/IMQ-iptables-1.3.6.diff.bz2 55c64bb056b8172ef6eeaf182dccae70 src/ImageMagick-6.3.1-2.tar.bz2 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1144 retrieving revision 1.1145 diff -u -d -r1.1144 -r1.1145 --- CHANGES 3 Nov 2007 19:56:01 -0000 1.1144 +++ CHANGES 4 Nov 2007 16:06:00 -0000 1.1145 @@ -22,6 +22,7 @@ # 1.3.4 +- added patch for netfilter TARPIT target (sl) - save-config did not correctly handle errors - added padloc support to openssl (sl) - updated pci and usb device id databases |
|
From: Heiko Z. <smi...@us...> - 2007-11-03 19:56:27
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv14849/scripts/scripts Modified Files: Tag: rel-1-2-patches save-config Log Message: save-config did not correctly handle errors Index: save-config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/save-config,v retrieving revision 1.29.2.6 retrieving revision 1.29.2.7 diff -u -d -r1.29.2.6 -r1.29.2.7 --- save-config 24 Oct 2007 21:40:13 -0000 1.29.2.6 +++ save-config 3 Nov 2007 19:56:24 -0000 1.29.2.7 @@ -274,14 +274,19 @@ --exclude=lvm/archive \ --exclude=lvm/backup \ --exclude=lvm/cache \ - --format=oldgnu \ - etc root -f - | bzip2 -s -c > $CONFIG_MOUNT/$DL_CONFIG_FILE + -j \ + -f $CONFIG_MOUNT/$DL_CONFIG_FILE \ + etc root error=$? if [ $error -eq 141 ]; then + $RED + beep echo "media protected, configuration not saved" + $NORMAL else + if [ $error -eq 0 ]; then chmod 0600 $CONFIG_MOUNT/$DL_CONFIG_FILE $SUCCESS echo "Configuration saved" @@ -291,6 +296,12 @@ # useful for backing up the config elsewhere # Pass device and file name just saved [ -x /root/bin/post-save-config ] && /root/bin/post-save-config $DL_CONFIG_SOURCE $CONFIG_MOUNT $DL_CONFIG_FILE + else + $RED + beep + echo "failed to save configuration" + $NORMAL + fi fi sync;sync;sync |
|
From: Heiko Z. <smi...@us...> - 2007-11-03 19:56:27
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv14849 Modified Files: Tag: rel-1-2-patches CHANGES Log Message: save-config did not correctly handle errors Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.336 retrieving revision 1.807.2.337 diff -u -d -r1.807.2.336 -r1.807.2.337 --- CHANGES 30 Oct 2007 22:35:31 -0000 1.807.2.336 +++ CHANGES 3 Nov 2007 19:56:24 -0000 1.807.2.337 @@ -22,6 +22,7 @@ # 1.2.14 +- save-config did not correctly handle errors - updated pci and usb device id databases - updated wireless_tools to 29 - updated lm_sensors to 2.10.5 @@ -36,8 +37,6 @@ - updated sudo to 1.6.9p7 - updated shorewall to 4.0.5 - upgrade-config now correctly merges new and old account and groups -- save-config now invokes bzip2 with -s to ensure busybox can unpack it -- save-config now creates tar file in 'oldgnu' format to ensure busybox can untar it - updated samba to 3.0.26a - updated tar to 1.19 - updated cracklib to 2.8.12 |
|
From: Heiko Z. <smi...@us...> - 2007-11-03 19:56:05
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv14473 Modified Files: CHANGES Log Message: save-config fixes Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1143 retrieving revision 1.1144 diff -u -d -r1.1143 -r1.1144 --- CHANGES 2 Nov 2007 17:08:33 -0000 1.1143 +++ CHANGES 3 Nov 2007 19:56:01 -0000 1.1144 @@ -22,6 +22,7 @@ # 1.3.4 +- save-config did not correctly handle errors - added padloc support to openssl (sl) - updated pci and usb device id databases - updated wireless_tools to 29 |
|
From: Heiko Z. <smi...@us...> - 2007-11-03 19:56:05
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv14473/scripts/scripts Modified Files: save-config Log Message: save-config fixes Index: save-config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/save-config,v retrieving revision 1.35 retrieving revision 1.36 diff -u -d -r1.35 -r1.36 --- save-config 24 Oct 2007 21:38:56 -0000 1.35 +++ save-config 3 Nov 2007 19:56:01 -0000 1.36 @@ -274,14 +274,19 @@ --exclude=lvm/archive \ --exclude=lvm/backup \ --exclude=lvm/cache \ - --format=oldgnu \ - etc root -f - | bzip2 -s -c > $CONFIG_MOUNT/$DL_CONFIG_FILE + -j \ + -f $CONFIG_MOUNT/$DL_CONFIG_FILE \ + etc root error=$? if [ $error -eq 141 ]; then + $RED + beep echo "media protected, configuration not saved" + $NORMAL else + if [ $error -eq 0 ]; then chmod 0600 $CONFIG_MOUNT/$DL_CONFIG_FILE $SUCCESS echo "Configuration saved" @@ -291,6 +296,12 @@ # useful for backing up the config elsewhere # Pass device and file name just saved [ -x /root/bin/post-save-config ] && /root/bin/post-save-config $DL_CONFIG_SOURCE $CONFIG_MOUNT $DL_CONFIG_FILE + else + $RED + beep + echo "failed to save configuration" + $NORMAL + fi fi sync;sync;sync |